VisualEditor: Behaviour of default "Edit" tab should not vary by namespace (action=edit vs. veaction=edit)
Closed, ResolvedPublic

Description

When VE is active on a page it inserts its own "edit" tab (veaction=edit) and renames the legacy edit tab (action=edit) to "Edit source".

Since VE is not active on all pages though the "edit" tab's functionality is inconsistent across pages (sometimes opening VE, sometimes opening the Wikitext editor).

VE should rename the legacy edit tab to "Edit source" on *every* page (even if it is not active and therefore not inserting it's own "edit" link so the button's functionality keeps consistent across pages.

This was also discussed on http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Change_the_.22Edit.22_tab_to_.22Edit_source.22_in_all_namespaces.
Please note (as discussed in the linked section) that renaming the legacy edit tab globally by simply changing the existing interface message is *not* an option. People not using the visual editor should not see "edit source" by default but should continue to see the same text that was always there.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50424

bzimport set Reference to bz50402.
Patrick87 created this task.Via LegacyJun 28 2013, 10:50 PM
Quiddity added a comment.Via ConduitJun 29 2013, 1:57 AM

I initially suggested updating the wording from "Edit" to "Edit source" at that VPT thread, and at https://en.wikipedia.org/wiki/MediaWiki_talk:Edit and at https://en.wikipedia.org/wiki/MediaWiki_talk:Vector-view-edit

There are some good (and some not so good) suggestions and comments in the VPT thread.

Consistency would be ideal, and Eduard's suggestion above, seems to make the most sense.

Jdforrester-WMF added a comment.Via ConduitJun 30 2013, 9:14 AM

I agree that relabelling it immediately for all MediaWiki installations is a poor choice, as (a) some people, (b) some WMF wikis, and (c) almost all MediaWiki wikis not hosted by WMF do not have VisualEditor enabled at this point.

When VisualEditor is on for everyone, labelling the tab "edit source" (even when "edit", i.e. VisualEditor, is not available) seems like the best solution for our cluster. (If we wanted to, we could over-ride the value of the "edit" tab with a message from the Wikimedia-Messages system to do a WMF-specific over-ride of the MediaWiki default.) However, fixing this before (b) is fixed, let alone whilst (a) is fixed, feels like the wrong way to do this.

A shorter-term fix is indeed to re-label "edit" to "edit source" for all pages visited by all users with VisualEditor. Maybe we could do that. Thoughts, Timo?

Thryduulf added a comment.Via ConduitJul 19 2013, 4:08 PM

I'm think the following request by English Wikipedia user Reaper Eternal is relevant to this bug (sorry if it isn't).

"Currently, on articles and userpages, editing using the VisualEditor uses the #ca-edit CSS id and editing the source uses the #ca-editsource CSS id. However, in all other namespaces, #ca-edit is the only edit link. For people like me who like to change the titling or styling of the tabs, this inconsistency is annoying. (For me, it makes the "edit" tab on this page display as "VE" rather than "Source".) Could the CSS id tags be made consistent (use #ca-editsource for all non-VE editing)? Thanks."

John_Broughton added a comment.Via ConduitJul 19 2013, 4:20 PM

(In reply to comment #3)

Reaper Eternal's proposal is an excellent solution to the issue of what the "Edit source" tab should be named, and partly addresses whether "Edit" should be "Edit source" even when VE is not available (and thus there is one edit tab, not two). His proposal is a good solution because it then allows individual editors to alter these labels (I would prefer "VE" rather than "Edit", and "Wikitext" rather than "Edit source",for example) via their own CSS, while leaving the defaults as is for newer editors.

I'm think the following request by English Wikipedia user Reaper Eternal is
relevant to this bug (sorry if it isn't).

"Currently, on articles and userpages, editing using the VisualEditor uses
the
#ca-edit CSS id and editing the source uses the #ca-editsource CSS id.
However,
in all other namespaces, #ca-edit is the only edit link. For people like me
who
like to change the titling or styling of the tabs, this inconsistency is
annoying. (For me, it makes the "edit" tab on this page display as "VE"
rather
than "Source".) Could the CSS id tags be made consistent (use #ca-editsource
for all non-VE editing)? Thanks."

Jdforrester-WMF added a comment.Via ConduitJul 19 2013, 7:31 PM

(In reply to comment #3)

I'm think the following request by English Wikipedia user Reaper Eternal is
relevant to this bug (sorry if it isn't).

Yes, that would get fixed by us doing this.

John_Broughton added a comment.Via ConduitJul 31 2013, 3:31 PM

Changing CSS id tags doesn't seem like all that much of a programming challenge, but it would enable all language Wikipedias to deal with this problem of inconsistent names appearing on "edit" tabs. So the payoff here, per hour of programming time, is really large. This isn't in any way a controversial change (it's invisible, directly, to users); it would be great if someone would deal with it and we could make progress in reducing user confusion.

gerritbot added a comment.Via ConduitAug 2 2013, 3:30 AM

Change 77165 had a related patch set uploaded by Catrope:
Move edit tab generation into PHP and make it more configurable

https://gerrit.wikimedia.org/r/77165

Jdforrester-WMF added a comment.Via ConduitAug 2 2013, 5:58 AM

Now fixed and deployed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.